package writecache

import (
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/internal/storagetest"
	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/util/logger/test"
)

func TestGeneric(t *testing.T) {
	storagetest.TestAll(t, func(t *testing.T) storagetest.Component {
		return New(
			WithLogger(test.NewLogger(t)),
			WithFlushWorkersCount(2),
			WithPath(t.TempDir()))
	})
}
